Bug 1568399 - can not run VM XML error: Multiple 'scsi' controllers with index '0 [NEEDINFO]
Summary: can not run VM XML error: Multiple 'scsi' controllers with index '0
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: 4.2.2.6
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: ---
: ---
Assignee: Sharon Gratch
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 12:26 UTC by vasily
Modified: 2018-06-14 09:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-14 09:13:05 UTC
oVirt Team: Virt
sgratch: needinfo? (vasily.lamykin)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1543833 None CLOSED XML error: Multiple 'scsi' controllers with index '0' 2018-06-17 15:03:48 UTC

Description vasily 2018-04-17 12:26:20 UTC
Description of problem:
according to Bug 1543833
I have this bug also in 4.2.2.6 version

Version-Release number of selected component (if applicable):
Version 4.2.2.6-1.el7.centos

How reproducible:(not always)
1)Edit some features for VM when this running
2)Try to shutdown/start

Actual results:
Failed to run VM
VM is down with error. Exit message: XML error: Multiple 'scsi' controllers with index '0'.

Expected results:
VM starts normally

Additional info:
This XML file does not appear to have any style information associated with it. The document tree is shown below.
<vm href="/ovirt-engine/api/vms/13763159-34b9-4c72-ace6-b97a20bfc4d4" id="13763159-34b9-4c72-ace6-b97a20bfc4d4">
<actions>
</actions>
<name>VM</name>
<description/>
<comment/>
<bios>
<boot_menu>
<enabled>false</enabled>
</boot_menu>
</bios>
<cpu>
<architecture>x86_64</architecture>
<topology>
<cores>4</cores>
<sockets>2</sockets>
<threads>1</threads>
</topology>
</cpu>
<cpu_shares>0</cpu_shares>
<creation_time>2018-03-02T13:37:52.372+03:00</creation_time>
<delete_protected>false</delete_protected>
<display>
<allow_override>true</allow_override>
<copy_paste_enabled>true</copy_paste_enabled>
<disconnect_action>LOCK_SCREEN</disconnect_action>
<file_transfer_enabled>true</file_transfer_enabled>
<monitors>1</monitors>
<single_qxl_pci>false</single_qxl_pci>
<smartcard_enabled>false</smartcard_enabled>
<type>spice</type>
</display>
<high_availability>
<enabled>true</enabled>
<priority>50</priority>
</high_availability>
<initialization>
<authorized_ssh_keys/>
<custom_script/>
<nic_configurations/>
<regenerate_ssh_keys>false</regenerate_ssh_keys>
<user_name/>
</initialization>
<io>
<threads>0</threads>
</io>
<large_icon href="/ovirt-engine/api/icons/c355cdaf-b6bb-ba69-eca4-85b54e93b915" id="c355cdaf-b6bb-ba69-eca4-85b54e93b915"/>
<memory>8589934592</memory>
<memory_policy>
<ballooning>false</ballooning>
<guaranteed>5726273536</guaranteed>
<max>34359738368</max>
</memory_policy>
<migration>
<auto_converge>inherit</auto_converge>
<compressed>inherit</compressed>
</migration>
<migration_downtime>-1</migration_downtime>
<origin>ovirt</origin>
<os>
<boot>
<devices>
<device>hd</device>
</devices>
</boot>
<type>rhel_7x64</type>
</os>
<placement_policy>
<affinity>migratable</affinity>
<hosts>
<host href="/ovirt-engine/api/hosts/7d8282af-4b6e-446a-a11e-7e8ff90d02f1" id="7d8282af-4b6e-446a-a11e-7e8ff90d02f1"/>
</hosts>
</placement_policy>
<small_icon href="/ovirt-engine/api/icons/0a79d215-a55b-f118-ee88-e81994282093" id="0a79d215-a55b-f118-ee88-e81994282093"/>
<sso>
<methods>
<method id="guest_agent"/>
</methods>
</sso>
<start_paused>false</start_paused>
<stateless>false</stateless>
<storage_error_resume_behaviour>kill</storage_error_resume_behaviour>
<time_zone>
<name>Etc/GMT</name>
</time_zone>
<type>server</type>
<usb>
<enabled>false</enabled>
</usb>
<cluster href="/ovirt-engine/api/clusters/596dbcc1-01b0-0240-0205-000000000193" id="596dbcc1-01b0-0240-0205-000000000193"/>
<cpu_profile href="/ovirt-engine/api/cpuprofiles/58ca604e-01a7-003f-01de-000000000250" id="58ca604e-01a7-003f-01de-000000000250"/>
<quota id="596dbcce-03e6-035d-02fc-00000000001b"/>
<next_run_configuration_exists>false</next_run_configuration_exists>
<numa_tune_mode>interleave</numa_tune_mode>
<status>down</status>
<stop_time>2018-04-17T15:09:13.517+03:00</stop_time>
<original_template href="/ovirt-engine/api/templates/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000"/>
<template href="/ovirt-engine/api/templates/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000"/>
</vm>

Comment 1 Sharon Gratch 2018-04-23 11:50:16 UTC
Hi Vasily, 
can you please send the engine+vdsm logs once the problem is reproduced?

Comment 2 Doron Fediuck 2018-06-14 09:13:05 UTC
It's been a while and we're still missing the information.
Please re-open and provide the logs once reproduced.


Note You need to log in before you can comment on or make changes to this bug.